> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/python/container-registry/api/namesapi.md).

# NamesApi

## NamesApi

All URIs are relative to *<https://api.ionos.com/containerregistries>*

| Method                                        | HTTP request           | Description                              |
| --------------------------------------------- | ---------------------- | ---------------------------------------- |
| [**names\_check\_usage**](#names_check_usage) | **HEAD** /names/{name} | Get container registry name availability |

## **names\_check\_usage**

> names\_check\_usage(name)

Get container registry name availability

Validate that the name is suitable to use for a new registry: - it uses only the characters "a-z", "0-9", or "-" - and starts with a letter and ends with a letter or number - and is between 3 to 63 characters in length - and is available

#### Example

```python
from __future__ import print_function
import time
import ionoscloud_container_registry
from ionoscloud_container_registry.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/containerregistries
configuration = ionoscloud_container_registry.Configuration(
    host = 'https://api.ionos.com/containerregistries',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud_container_registry.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud_container_registry.NamesApi(api_client)
    name = 'name_example' # str | The desired registry name
    try:
        # Get container registry name availability
        api_instance.names_check_usage(name)
    except ApiException as e:
        print('Exception when calling NamesApi.names_check_usage: %s\n' % e)
```

#### Parameters

| Name     | Type    | Description               | Notes |
| -------- | ------- | ------------------------- | ----- |
| **name** | **str** | The desired registry name |       |

#### Return type

void (empty response body)

#### Authorization

basicAuth, tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/python/container-registry/api/namesapi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
